Archive for August, 2009

Spell Catcher X 10.3.2 is Compatible with Mac OS X 10.6 (Snow Leopard)!

Friday, August 28th, 2009

Mac OS X 10.6 (Snow Leopard) is here, and Spell Catcher X was ready! Now that we know the developer seed we’ve been working with is the actual GM build (10A432), we can say for certain. The answer is YES, Spell Catcher X 10.3.2 (the current version) is compatible with Snow Leopard!

We have posted some new FAQs for using Spell Catcher X on Mac OS X 10.6 with the information you need to know. Please give them a read!